%global pypi_name cairocffi
%global pypi_oname cairocffi

Name:           python-%{pypi_name}
Version:        0.7.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        cffi-based cairo bindings for Python

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_oname}/%{pypi_oname}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pkgconfig(libffi)

%description
cffi-based cairo bindings for Python.

%package -n python3-%{pypi_name}
Summary:        cffi-based cairo bindings for Python 3
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
cffi-based cairo bindings for Python 3.

%prep
%setup -q -n %{pypi_oname}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%{python2_sitelib}/%{pypi_name}*

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*


%changelog
* Wed Dec 16 2015 daviddavid <daviddavid> 0.7.2-1.mga6
+ Revision: 910982
- new version: 0.7.2
- use new python macros
- remove no more needed fix-python3-build patch

* Thu Oct 08 2015 tv <tv> 0.5.1-7.mga6
+ Revision: 887508
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 749007
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-5.mga5
+ Revision: 728115
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 687912
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-3.mga5
+ Revision: 629731
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.5.1-2.mga5
+ Revision: 628478
- Rebuild for new Python

* Wed Oct 30 2013 neoclust <neoclust> 0.5.1-1.mga4
+ Revision: 548081
- Fix build with python3
- imported package python-cairocffi

